glab(1)

NAME
glab-label-edit - Edit a label in a project.

SYNOPSIS
glab label edit [flags]

DESCRIPTION
Edit an existing label in a project. The --label-id flag is required to identify the label to update. At least one of --new-name or --color must be provided; --description and --priority are optional.

By default, the label is edited in the current repository. Use --repo to target another project.

OPTIONS
-c, --color=""
    The color of the label given in 6-digit hex notation with leading ‘#’ sign.

-d, --description=""
    Label description.

-l, --label-id=0
    The label ID we are updating.

-n, --new-name=""
    The new name of the label.

-p, --priority=0
    Label priority.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # Rename a label in the current repository
    glab label edit --label-id 1234 --new-name critical
    # Change a label's color and description in another project
    glab label edit --label-id 1234 --color "#FF0000" --description "Top priority" -R owner/repo

SEE ALSO
glab-label(1)